Bug 1674946

Summary: gdcm: FTBFS in Fedora rawhide/f30
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: gdcmAssignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i.gnatenko.brain, sanjay.ankur, sebp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-03 15:10:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1674516    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2019-02-11 18:24:03 UTC
gdcm failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386206


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix gdcm at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gdcm will be orphaned. Before branching of Fedora 31,
gdcm will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:24:05 UTC
Created attachment 1530065 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:24:07 UTC
Created attachment 1530066 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:24:08 UTC
Created attachment 1530067 [details]
state.log

Comment 4 Ankur Sinha (FranciscoD) 2019-02-17 18:38:30 UTC
Working on this now.

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-03-03 15:10:30 UTC
A build was successfull: gdcm-2.8.8-4.fc30 [1].
Closing the bug.

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1217436